Bug 43581 - CoreBreach: Outlines not rendered correctly
Summary: CoreBreach: Outlines not rendered correctly
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 7.11
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-07 08:31 UTC by Sven Arvidsson
Modified: 2013-09-14 12:14 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Screenshot (155.58 KB, image/jpeg)
2011-12-07 08:31 UTC, Sven Arvidsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2011-12-07 08:31:03 UTC
Created attachment 54189 [details]
Screenshot

Object outlines are not rendered correctly in the game CoreBreach on i965. Instead of being drawn only on the edges of objects they show up all over. This bug affects both 7.11 and git.

CoreBreach is so far only available as beta for Linux:
http://corebreach.corecode.at/CoreBreach-1.1-beta4-linux32.tar.bz2
http://corebreach.corecode.at/CoreBreach-1.1-beta4-linux64.tar.bz2

System environment:
-- chipset: G45 / ICH10R
-- system architecture: 32-bit
-- Linux distribution: Debian unstable
-- Machine or mobo model: Asus P5Q-EM
-- Display connector: DVI
-- xf86-video-intel: 2.17.0
-- xserver: 1.11.1.902
-- mesa: 
-- drm: 2.4.27
-- kernel: 3.1.1
Comment 1 corecode 2011-12-08 03:17:21 UTC
hey there

FYI used the old "standard" fixed function way to render object outlines:


1.) render objects normally

2.) setup OpenGL to render backfaces and as lines ( glCullFace(GL_FRONT); glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);  )

2.1.) switch to a simple shader that just draws black or disable lighting and use glColor(black) in fixed function

3.) render objects again

4.) reset ( glCullFace(GL_BACK); glPolygonMode(GL_FRONT_AND_BACK, GL_FILL);)
Comment 2 Ian Romanick 2013-07-23 17:07:28 UTC
Is this still an issue on more recent versions of the Intel driver?
Comment 3 Sven Arvidsson 2013-09-14 12:14:23 UTC
Everything seems to be rendering fine with Mesa 8.0.5 and version 1.1.5 of the game, haven't had time to try 9.2 or git however.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.